import java.awt.BorderLayout;
import javax.swing.*;

import java.awt.*;
 
import java.awt.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
class SubDialog extends JDialog
{
	public SubDialog()
	{
		// Layout for Dialog
		setLayout(new BorderLayout());
		setModalityType(ModalityType.APPLICATION_MODAL);
		
		JPanel dpan1 = new JPanel();
		JPanel dpan2 = new JPanel();
		
		// get icon
		ClassLoader cldr = this.getClass().getClassLoader(); //used for getting icon from .jar file
		java.net.URL imageURL = cldr.getResource("touchmp3.png"); // icon must be in /src and /bin
		ImageIcon icon = new ImageIcon(imageURL);
		
		// create JLabel to insert icon
		JLabel imagelabel = new JLabel(icon);
		
		JTextArea darea1 = new JTextArea(
				"TouchMP3 - Version 1.0\n" +
				"for Windows, Linux\n\n" +
				"\u00A9 2008 Ulrich Schregenberger");		
		darea1.setFont(new Font("Arial",Font.PLAIN,12));
		darea1.setEditable(false);
		darea1.setBackground(Color.WHITE);
		darea1.setPreferredSize(new Dimension(280,80));
		darea1.setBorder(BorderFactory.createMatteBorder(8,0,8,0,Color.WHITE)); //top-left-bottom-right))
		
		JTextArea darea2 = new JTextArea(
				"Special Thanx to:\n\n" +
				"- Matthias Koch for Linux testing, hints & tips\n" +
				"- jid3.blinkenlights.org for its ID3 library\n" +
				"- PgsLookAndFeel for a nicer GUI\n" +
				"- Jon Lipsky and his AquaButton tutorials\n" +
				"- Fat-Jar Eclipse Plugin for a single executable\n" +
				"- log4j from Apache\n\n" +
				"Icons created with GIMP.");
		//,"About",JOptionPane.PLAIN_MESSAGE,icon);
		
		darea2.setForeground(Color.BLACK);
		darea2.setBackground(null);
		darea2.setEditable(false);
		darea2.setPreferredSize(new Dimension(280,160));
		
		JPanel platzhalter = new JPanel();
		platzhalter.setPreferredSize(new Dimension(100,160));
		//platzhalter.setBackground(Color.RED);
		JPanel confirm = new JPanel();
		confirm.setLayout(new FlowLayout());
		confirm.setPreferredSize(new Dimension(30,40));
		//confirm.setBackground(Color.GREEN);
		//confirm.setAlignmentX(SwingConstants.CENTER);
		
		JButton dButton = new JButton("OK");
		dButton.addActionListener(new DListener());
		confirm.add(dButton);
		
		JSeparator seppel = new JSeparator();
		
		// textareas to panels
		
		dpan1.setBackground(Color.WHITE);
		
		dpan2.setLayout(new BorderLayout());		
			dpan2.add(platzhalter,BorderLayout.WEST);
			dpan2.add(darea2,BorderLayout.CENTER);
			dpan2.add(confirm,BorderLayout.SOUTH);
		
		dpan1.setLayout(new BorderLayout(0,0));
			dpan1.add(imagelabel,BorderLayout.WEST);
			dpan1.add(darea1,BorderLayout.EAST);
		
		// add panels to dialogframe
		add(dpan1,BorderLayout.NORTH);
		add(seppel);
		add(dpan2,BorderLayout.SOUTH);
		
		
		
		setTitle("About");
		setSize(380,330);
		setResizable(false);
		pack(); // packen, sonst funktioniert das mit Fokus nicht Oo
		dButton.requestFocus();
		setLocationRelativeTo(null);
		setVisible(true);
				
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	}	
	class DListener implements ActionListener
	{
		public void actionPerformed(ActionEvent dialogevent)
		{
			String dlabel = dialogevent.getActionCommand();
			
			if(dlabel.equals("OK"))
			{
				dispose();
			}
		}
	}
}

